1. Payment integration
English
  • English
  • įŽ€äŊ“中文
  • TLY Pay API
    • Getting started
    • HTTP conventions and payment status
    • Webhook verification and recovery
    • Payment integration
      • Create a Payment
        POST
      • Get Payment status
        GET
      • Cancel a Payment
        POST
      • Disable Checkout access
        DELETE
      • Check pricing configuration
        GET
      • Configure a Webhook endpoint
        POST
      • Verify a Webhook signing Secret
        POST
  • Schemas
    • CreatePayment
    • CreatedPayment
    • ErrorResponse
    • BootstrapWebhook
    • MerchantPaymentView
    • MerchantStoreSourceView
    • MerchantStoreView
    • OneTimeSecretResponse
    • SourceAmount
    • MerchantSourceAmountView
    • VerifyWebhookBinding
    • WebhookBindingView
  1. Payment integration

Get Payment status

GET
/v1/payments/{payment_id}
Requires API Key scope payment:read.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Responses

đŸŸĸ200OK
application/json
Authoritative Payment for this API Key
Headers

Bodyapplication/json

🟠401Unauthorized
🟠403Forbidden
🟠404Record Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/payments/' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "activated_at": "2019-08-24T14:15:22.123Z",
    "created_at": "2019-08-24T14:15:22.123Z",
    "order_ref": "string",
    "payment_expires_at": "2019-08-24T14:15:22.123Z",
    "payment_id": "string",
    "source_amount": {
        "amount_raw": "string",
        "currency": "string",
        "decimals": 0,
        "kind": "fiat"
    },
    "status": "string",
    "status_version": 0,
    "updated_at": "2019-08-24T14:15:22.123Z"
}
Previous
Create a Payment
Next
Cancel a Payment
Built with